version: "3"

services:

  jenkins:
    image: 'jenkins:dockerfile'
    volumes:
      - './CI/jenkins:/var/jenkins_home'
    environment:
      - VIRTUAL_HOST=jenkins.sdienst.net
      - VIRTUAL_PORT=8080
    ports:
      - '8080:8080'
      - '50000:50000'
    links:
      - sonarqube

  sonarqube:
    image: 'sonarqube'
    restart: always
    ports: 
      - 9000:9000
    environment:
      - VIRTUAL_HOST=sonar.sdienst.net
      - VIRTUAL_PORT=9000
    volumes:
      - ./CI/sonarqube/conf:/opt/sonarqube/conf
      - ./CI/sonarqube/extensions:/opt/sonarqube/extensions
      - ./CI/sonarqube/logs:/opt/sonarqube/logs
      - ./CI/sonarqube/data:/opt/sonarqube/data